# Generated by Django 3.1.5 on 2021-01-23 16:11

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ISBN_10', models.CharField(blank=True, max_length=20, null=True)),
                ('ISBN_13', models.CharField(blank=True, max_length=20, null=True)),
                ('title', models.CharField(max_length=100)),
                ('image_url', models.CharField(blank=True, max_length=255, null=True)),
                ('authors', models.ManyToManyField(to='books.Author')),
                ('categories', models.ManyToManyField(to='books.Category')),
            ],
        ),
    ]
